Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.common.decorator
Class FixedSelectorProbabilityWeightFactory

    java.lang.Object
      org.drools.planner.core.heuristic.selector.common.decorator.FixedSelectorProbabilityWeightFactory

All Implemented Interfaces:
  SelectionProbabilityWeightFactory<Selector>

    public class FixedSelectorProbabilityWeightFactory

extends Object
implements SelectionProbabilityWeightFactory<Selector>

Constructor Summary
`FixedSelectorProbabilityWeightFactory(Map<Selector,Double> fixedProbabilityWeightMap)`

Method Summary
`double` | `createProbabilityWeight(ScoreDirector scoreDirector, Selector selector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedSelectorProbabilityWeightFactory

    public FixedSelectorProbabilityWeightFactory(Map<Selector,Double> fixedProbabilityWeightMap)

Method Detail

### createProbabilityWeight

    public double createProbabilityWeight(ScoreDirector scoreDirector,
                                          Selector selector)

  Specified by:
    `createProbabilityWeight` in interface `SelectionProbabilityWeightFactory<Selector>`
  Parameters:
    `scoreDirector` - never null, the `ScoreDirector` which has the `ScoreDirector.getWorkingSolution()` to which the selection belongs or applies to
    `selector` - never null, a `PlanningEntity`, a planningValue, a `Move` or a `Selector` to create the probabilityWeight for
  Returns:
    0.0 <= returnValue < `Double.POSITIVE_INFINITY`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.